Bug 14235 - un-hardwire gzip compression level please
: un-hardwire gzip compression level please
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 11343
  Show dependency tree
 
Reported: 2008-01-29 16:20 by
Modified: 2008-10-12 00:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-29 16:20:23
this is *ugly* :)

/usr/bin/spt:           cat "$tmpdir/.archive.tar" | gzip -f9 >
"$workdir/$OUT.tar.gz"
------- Comment #1 From 2008-01-29 16:37:29 -------
fixed in 0.6.0-alt10.2.1:
http://git.altlinux.org/people/mike/packages/?p=spt.git;a=commitdiff;h=fe3de1b0785f881b0f223deb31b052a67ae4c85b

BTW может иметь смысл не зажимать на 9, а оставить дефолтное 6: разница для
относительно минимального ovz template cache получается 22/24M с временем работы
spt, отличающимся на двухъядернике со SCSI тоже примерно на 10%.
------- Comment #2 From 2008-10-12 00:06:45 -------
* Tue Jan 29 2008 Michael Shigorin <mike@altlinux> 0.6.0-alt10.2.1
- make tgz compression level adjustable (#14235)
- minor spec cleanup (see alt-packaging)